Tss2_TctiLdr_FreeInfo(3)

NAME
Tss2_TctiLdr_FreeInfo - Function to free a TSS2_TCTI_INFO structure allocated by Tss2_TctiLdr_Initialize().

SYNOPSIS
#include <tss2/tss2_tctildr.h>

void Tss2_TctiLdr_FreeInfo (TSS2_TCTI_INFO*info);

DESCRIPTION
The Tss2_TctiLdr_FreeInfo() function destroys an instance of the TSS2_TCTI_INFO structure created by the Tss2_TctiLdr_GetInfo() function.

The info parameter is a reference to the TSS2_TCTI_INFO structure to be freed.

RETURN VALUE
This function returns no value.

EXAMPLE
Example code.

#include <inttypes.h>
#include <stdlib.h>
#include <stdio.h>

#include <tss2/tss2_tctildr.h>

TSS2_TCTI_INFO *info = NULL;
TSS2_RC rc = Tss2_TctiLdr_GetInfo (NULL, &info);
if (rc != TSS2_RC_SUCCESS) {
    fprintf (stderr, "Failed to get TSS2_TCTI_INFO structure for default "
             "TCTI with response code: 0x%" PRIx32 ", rc);
    exit (EXIT_FAILURE);
}

if (info != NULL) {
    Tss2_TctiLdr_FreeInfo (info);
    info = NULL;
}

exit (EXIT_SUCCESS);

AUTHOR
Philip Tricca <philip.b.tricca@intel.com>

SEE ALSO
Tss2_Tcti_Device_Init(3), Tss2_Tcti_Socket_Init(3), Tss2_TctiLdr_Initialize(3), Tss2_TctiLdr_Finalize(3), tcti-device(7), tcti-socket(7), tcti-tabrmd(7), tpm2-abrmd(8)

COLOPHON
This page is part of release 2.3.2 of Intel's implementation of the TCG TPM2 Software Stack (TSS2). A description of the project, information about reporting bugs, and the latest version of this page can be found at https://github.com/01org/tpm2-tss/.